QGIS Application - Feature request #11636
ogr2ogr to select disjoint features
2014-11-13 03:26 AM - Filipe Dias

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/OGR

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 19889
Description

ogr2ogr can be used to compare features from two vectors, as v.select from GRASS GIS does (
http://grass.osgeo.org/grass65/manuals/v.select.html).

It would be useful to have an ogr2ogr based tool that compares two vectors and selects/extracts disjoint features (e.g. features from
vector A that are disjoing from vector B).

| found some code here that can be useful for writing this tool:

https://github.com/csterling/ogrTools/blob/master/disjoint.py

History

#1 - 2017-01-10 11:34 PM - Giovanni Manghi
- Category set to Processing/OGR

#2 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

#3 - 2019-03-11 02:20 PM - Giovanni Manghi
- Status changed from Open to Feedback
- Description updated

We have now good native tools to do the selection/extration by location, unless an ogr based approach shows much better performances | would close
this.

#4 - 2019-03-11 02:38 PM - Filipe Dias
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
